Gets a class constant's type

- « ReflectionClassConstant::getName

- ReflectionClassConstant::getValue »

- PHP Manual
- ReflectionClassConstant
- Gets a class constant's type

# ReflectionClassConstant::getType

(PHP 8 >= 8.3.0)

ReflectionClassConstant::getType — Gets a class constant's type

### Description

public ReflectionClassConstant::getType(): ?ReflectionType

Gets the associated type of a class constant.

### Parameters

This function has no parameters.

### Return Values

Returns a ReflectionType object if a parameter type is specified, `null` otherwise.

### See Also

- ReflectionClassConstant::hasType() - Checks if class constant has a type
- ReflectionType